image:
  name: docker-registry.wikimedia.org/releng/composer-php82:0.1.1
  entrypoint: [""]
before_script:
  - composer install
  - cp config.example.php config.php

test:unit-tests:
  script:
    - composer test

test:linting:
  script:
    - composer phpcs

test:static-analysis:
  script:
    - composer phan